-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: bpack
Binary: python3-bpack, python-bpack-doc
Architecture: all
Version: 1.2.0-1
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Homepage: https://github.com/avalentino/bpack
Description: Binary data structures (un-)packing library
 The *bpack* Python package provides tools to describe and encode/decode
 binary data.
 .
 Binary data are assumed to be organized in *records*, each composed by a
 sequence of fields. Fields are characterized by a known size, offset
 (w.r.t. the beginning of the record) and datatype.
 .
 The package provides classes and functions that can be used to:
 .
  * describe binary data structures in a declarative way (structures can
    be specified up to the bit level)
  * automatically generate encoders/decoders for a specified data descriptor
 .
 Encoders/decoders (*backends*) rely on well known Python packages like:
 .
  * struct (form the standard library)
  * bitstruct (optional)
  * numpy (optional)
  * bitarray (optional) - partial implementation
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/bpack
Vcs-Git: https://salsa.debian.org/debian-gis-team/bpack.git
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-sequence-sphinxdoc, pybuild-plugin-pyproject, python3-all, python3-bitarray, python3-bitstruct, python3-numpy, python3-pytest <!nocheck>, python3-setuptools, python3-sphinx <!nodoc>, python3-sphinx-rtd-theme <!nodoc>
Package-List:
 python-bpack-doc deb doc optional arch=all
 python3-bpack deb python optional arch=all
Checksums-Sha1:
 e54968b8e9005d289b03dfe5020361a85a2c6f43 72021 bpack_1.2.0.orig.tar.gz
 244ad49c97ac4fe0dd74b9c4e7c6fdd1cfebf72f 3644 bpack_1.2.0-1.debian.tar.xz
Checksums-Sha256:
 b78d8b0d9aa7e93eb7204b4785d6383c57a77243458ea6ac7c4837ef421905cd 72021 bpack_1.2.0.orig.tar.gz
 317f0582ca1dc37fb8ab68ee14ca536cefad4a3f450060a47dd7c89bd42b3b67 3644 bpack_1.2.0-1.debian.tar.xz
Files:
 1316072aa81a633835f278304bf97efa 72021 bpack_1.2.0.orig.tar.gz
 b1b4e54a719988eb8d5c8b2cf9da33d5 3644 bpack_1.2.0-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQJRBAEBCgA7FiEEO3DyCaX/1okDxHLF6/SKslePmBIFAmdFrf4dHGFudG9uaW8u
dmFsZW50aW5vQHRpc2NhbGkuaXQACgkQ6/SKslePmBJQZQ//UR272y5w2PpLeoI5
eMukgbBk4+XZAufWqQSaPbl3oySAFzYQNecOk016TyPylGrS2y087qvm7bf7xbt8
tIL1gdPMoTCTpuMAfjCIdCoQe11JQXUU4tw6CZ4PoEHwDMU7aDr9XnfLs9Qj0gA9
XbxXKy5REGpCQ1WALBMMhsw6ZK6NURMVA9HX4Nqrjj+2sbtqC0A1FBoOseU0GlzK
gSqHmXCxJ5oKUTtZqX4X3XBe3Mvc2uE1LZ3WYepBMMxEPMWbjdbYVsbR7Fx4Gzcf
iZnWvZGiLdLCIi8b9nYEodUSRJcWHrW1DwVdquET5XIkvN0CHhKeSnmlKQ+f75Wn
oQIV2Q6E6JZNVSE7rJxQC+77T5UNONqhE1LxJ83P5Y2gHs45cHgnCAoy5IMNIY9O
ko2gyZ8+PG7kio1JNRWQPDWRmN/LRRWdewwAQTNH3Jj/8jaNLBvfJcVunY+t2Mja
T/tj4n57qzRMRr62w91N9UZMBTrO1XmJQkFZ+z0ZOJ0d6D+j1z2LCxImAAKo88ws
3PcOS50zIrVoAIx+UsWbmW0URYaLPU845Ijh+gd77qmjmdAOmnlT2weBJ4xRq2u8
zfjv4FduFVJPd0QnCZ1XkgrkIMcNqKy7XDu3Q4gN6jIhVlH7I7srDPwsrEA4bcoG
cJqOCHHzaoJsTKNUO15xz2AIn0k=
=a4oP
-----END PGP SIGNATURE-----
